# Generated by Django 3.0.8 on 2020-08-09 15:44

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import hitcount.models
import painless.upload_to
import painless.validators


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Application',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sku', models.CharField(editable=False, max_length=256, unique=True)),
                ('qatari_partnership', models.BooleanField(blank=True, default=False, null=True, verbose_name='Qatari Partnership')),
                ('kafil_fname', models.CharField(blank=True, max_length=45, null=True, validators=[django.core.validators.MaxLengthValidator(13), django.core.validators.MinLengthValidator(12)], verbose_name='Kafil First Name')),
                ('kafil_lname', models.CharField(blank=True, max_length=45, null=True, validators=[django.core.validators.MaxLengthValidator(13), django.core.validators.MinLengthValidator(12)], verbose_name='Kafil Last Name')),
                ('kafil_email', models.EmailField(blank=True, max_length=254, null=True, validators=[django.core.validators.EmailValidator], verbose_name='Kafil Email')),
                ('kafil_qatari_id', models.CharField(blank=True, max_length=60, null=True, validators=[django.core.validators.RegexValidator('^[0-9]*$', 'Only positive integer are allowed.')], verbose_name='Qatari iD')),
                ('website', models.URLField(blank=True, null=True, validators=[django.core.validators.URLValidator], verbose_name='Website')),
                ('abstract', models.TextField(blank=True, null=True, verbose_name='Abstract')),
                ('is_b2b', models.BooleanField(default=False, verbose_name='Is B2B')),
                ('is_b2c', models.BooleanField(default=False, verbose_name='Is B2C')),
                ('is_b2g', models.BooleanField(default=False, verbose_name='Is B2G')),
                ('is_b2b2c', models.BooleanField(default=False, verbose_name='Is B2B2C')),
                ('industry', models.CharField(blank=True, choices=[('Art', 'Art'), ('Aerospace industry', 'Aerospace industry'), ('Agriculture', 'Agriculture'), ('Fishing', 'Fishing'), ('Chemical', 'Chemical'), ('Computer', 'Computer'), ('Construction', 'Construction'), ('Defense', 'Defense'), ('Education', 'Education'), ('Entertainment', 'Entertainment'), ('Financial', 'Financial'), ('Food', 'Food'), ('Healthcare', 'Healthcare'), ('Hospitality', 'Hospitality'), ('Manufacturing', 'Manufacturing'), ('Media', 'Media'), ('Telecom', 'Telecom'), ('Transport', 'Transport'), ('Water', 'Water'), ('Sports', 'Sports'), ('E-Commerce', 'E-Commerce'), ('Tourism', 'Tourism'), ('Fashion', 'Fashion'), ('Marketing', 'Marketing'), ('HR', 'HR')], max_length=30, null=True, verbose_name='Industry')),
                ('has_product', models.BooleanField(default=False, verbose_name='Has Product')),
                ('sales_rate', models.PositiveIntegerField(blank=True, null=True, verbose_name='Sales rate')),
                ('sales_rate_type', models.CharField(blank=True, choices=[('m', 'Monthly'), ('y', 'Yearly')], max_length=1, null=True, verbose_name='Sales rate Type')),
                ('deneb_result', models.CharField(blank=True, choices=[('No Experience', 'No Experience'), ('Rejection', 'Rejection'), ('Incubation', 'Incubation'), ('Services', 'Services'), ('Techshow', 'Techshow'), ('Referal to other organization', 'Referal to other organization')], max_length=35, null=True, verbose_name='Deneb Result')),
                ('keywords', models.CharField(blank=True, max_length=120, null=True, verbose_name='Keywords')),
                ('is_published', models.BooleanField(default=False, verbose_name='Finalize')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='applications', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Application',
                'verbose_name_plural': 'Applications',
                'index_together': {('sku', 'is_published')},
            },
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sku', models.CharField(editable=False, max_length=256, null=True, unique=True)),
                ('title', models.CharField(blank=True, max_length=60, null=True, validators=[django.core.validators.MaxLengthValidator(60)], verbose_name='Title')),
                ('slug', models.SlugField(allow_unicode=True, blank=True, editable=False, max_length=60, null=True, validators=[django.core.validators.MaxLengthValidator(60)], verbose_name='Slug')),
                ('width_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Width Field')),
                ('height_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Height Field')),
                ('cover', models.ImageField(blank=True, height_field='height_field', null=True, upload_to=painless.upload_to.user_directory_path_project, validators=[django.core.validators.FileExtensionValidator(['jpg', 'jpeg', 'JPG', 'JPEG', 'png', 'PNG'])], verbose_name='Cover', width_field='width_field')),
                ('video', models.FileField(blank=True, null=True, upload_to=painless.upload_to.user_directory_path_project, validators=[django.core.validators.FileExtensionValidator(['mp4']), painless.validators.FileSize], verbose_name='Video')),
                ('is_shown', models.BooleanField(default=False)),
                ('summary_width_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Width Field')),
                ('summary_height_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Height Field')),
                ('summary_img', models.ImageField(blank=True, height_field='summary_height_field', null=True, upload_to=painless.upload_to.user_directory_path_project, verbose_name='Summary', width_field='summary_width_field')),
                ('summary', models.TextField(blank=True, help_text='<a href="http://daringfireball.net/projects/markdown/syntax" target="_blank">Markdown syntax</a> allowed, but no raw HTML. Examples: **bold**, *italic*, indent 4 spaces for a code block.', null=True, verbose_name='Summary')),
                ('problem_width_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Width Field')),
                ('problem_height_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Height Field')),
                ('problem_img', models.ImageField(blank=True, height_field='problem_height_field', null=True, upload_to=painless.upload_to.user_directory_path_project, verbose_name='Problem', width_field='problem_width_field')),
                ('problem', models.TextField(blank=True, help_text='<a href="http://daringfireball.net/projects/markdown/syntax" target="_blank">Markdown syntax</a> allowed, but no raw HTML. Examples: **bold**, *italic*, indent 4 spaces for a code block.', null=True, verbose_name='Problem')),
                ('solution_width_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Width Field')),
                ('solution_height_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Height Field')),
                ('solution_img', models.ImageField(blank=True, height_field='solution_height_field', null=True, upload_to=painless.upload_to.user_directory_path_project, verbose_name='Solution', width_field='solution_width_field')),
                ('solution', models.TextField(blank=True, help_text='<a href="http://daringfireball.net/projects/markdown/syntax" target="_blank">Markdown syntax</a> allowed, but no raw HTML. Examples: **bold**, *italic*, indent 4 spaces for a code block.', null=True, verbose_name='Solution')),
                ('product_width_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Width Field')),
                ('product_height_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Height Field')),
                ('product_img', models.ImageField(blank=True, height_field='product_height_field', null=True, upload_to=painless.upload_to.user_directory_path_project, verbose_name='Product', width_field='product_width_field')),
                ('product', models.TextField(blank=True, help_text='<a href="http://daringfireball.net/projects/markdown/syntax" target="_blank">Markdown syntax</a> allowed, but no raw HTML. Examples: **bold**, *italic*, indent 4 spaces for a code block.', null=True, verbose_name='Product')),
                ('customer_width_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Width Field')),
                ('customer_height_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Height Field')),
                ('customer_img', models.ImageField(blank=True, height_field='customer_height_field', null=True, upload_to=painless.upload_to.user_directory_path_project, verbose_name='Customer', width_field='customer_width_field')),
                ('customer', models.TextField(blank=True, help_text='<a href="http://daringfireball.net/projects/markdown/syntax" target="_blank">Markdown syntax</a> allowed, but no raw HTML. Examples: **bold**, *italic*, indent 4 spaces for a code block.', null=True, verbose_name='Customer')),
                ('business_width_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Width Field')),
                ('business_height_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Height Field')),
                ('business_img', models.ImageField(blank=True, height_field='business_height_field', null=True, upload_to=painless.upload_to.user_directory_path_project, verbose_name='Business', width_field='business_width_field')),
                ('business', models.TextField(blank=True, help_text='<a href="http://daringfireball.net/projects/markdown/syntax" target="_blank">Markdown syntax</a> allowed, but no raw HTML. Examples: **bold**, *italic*, indent 4 spaces for a code block.', null=True, verbose_name='Business')),
                ('market_width_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Width Field')),
                ('market_height_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Height Field')),
                ('market_img', models.ImageField(blank=True, height_field='market_height_field', null=True, upload_to=painless.upload_to.user_directory_path_project, verbose_name='Market', width_field='market_width_field')),
                ('market', models.TextField(blank=True, help_text='<a href="http://daringfireball.net/projects/markdown/syntax" target="_blank">Markdown syntax</a> allowed, but no raw HTML. Examples: **bold**, *italic*, indent 4 spaces for a code block.', null=True, verbose_name='Market')),
                ('competition_width_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Width Field')),
                ('competition_height_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Height Field')),
                ('competition_img', models.ImageField(blank=True, height_field='competition_height_field', null=True, upload_to=painless.upload_to.user_directory_path_project, verbose_name='Competition', width_field='competition_width_field')),
                ('competition', models.TextField(blank=True, help_text='<a href="http://daringfireball.net/projects/markdown/syntax" target="_blank">Markdown syntax</a> allowed, but no raw HTML. Examples: **bold**, *italic*, indent 4 spaces for a code block.', null=True, verbose_name='Competition')),
                ('vision_width_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Width Field')),
                ('vision_height_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Height Field')),
                ('vision_img', models.ImageField(blank=True, height_field='vision_height_field', null=True, upload_to=painless.upload_to.user_directory_path_project, verbose_name='Vision', width_field='vision_width_field')),
                ('vision', models.TextField(blank=True, help_text='<a href="http://daringfireball.net/projects/markdown/syntax" target="_blank">Markdown syntax</a> allowed, but no raw HTML. Examples: **bold**, *italic*, indent 4 spaces for a code block.', null=True, verbose_name='Vision')),
                ('founders_width_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Width Field')),
                ('founders_height_field', models.PositiveIntegerField(blank=True, editable=False, null=True, verbose_name='Height Field')),
                ('founders_img', models.ImageField(blank=True, height_field='founders_height_field', null=True, upload_to=painless.upload_to.user_directory_path_project, verbose_name='Founders', width_field='founders_width_field')),
                ('founders', models.TextField(blank=True, help_text='<a href="http://daringfireball.net/projects/markdown/syntax" target="_blank">Markdown syntax</a> allowed, but no raw HTML. Examples: **bold**, *italic*, indent 4 spaces for a code block.', null=True, verbose_name='Founders')),
                ('is_published', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('application', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='project', to='project.Application', verbose_name='Application')),
            ],
            options={
                'verbose_name': 'Project',
                'verbose_name_plural': 'Projects',
                'index_together': {('slug', 'is_published', 'is_shown')},
            },
            bases=(models.Model, hitcount.models.HitCountMixin),
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Team Name')),
                ('is_published', models.BooleanField(default=False, verbose_name='Is published')),
                ('project', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='team', to='project.Project')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='teams', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Team',
                'verbose_name_plural': 'Teams',
            },
        ),
        migrations.CreateModel(
            name='Reviews',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('message', models.TextField(max_length=526, null=True)),
                ('is_shown', models.BooleanField(default=True)),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('project', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='comments', to='project.Project')),
                ('submited_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Comment',
                'verbose_name_plural': 'Comments',
            },
        ),
        migrations.CreateModel(
            name='Member',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=100, verbose_name='First Name')),
                ('last_name', models.CharField(max_length=100, verbose_name='Last Name')),
                ('position', models.CharField(max_length=100, verbose_name='Position')),
                ('phone_number', models.CharField(blank=True, max_length=20, null=True, verbose_name='Phone Number')),
                ('email', models.EmailField(blank=True, max_length=254, verbose_name='email address')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('team', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='colleagues', to='project.Team')),
            ],
        ),
    ]
